Package com.io7m.jregions.core.parameterized.areas

# Class PAreaF.Builder<S>

java.lang.Object
com.io7m.jregions.core.parameterized.areas.PAreaF.Builder<S>

Enclosing class:
  PAreaF<S>

    public static final class PAreaF.Builder<S>
    extends java.lang.Object

Builds instances of type `PAreaF`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `PAreaF<S>` | `build()` | Builds a new `PAreaF`.
  `PAreaF.Builder<S>` | `from​(PAreaFType<S> instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.parameterized.areas.PAreaFType` instance.
  `PAreaF.Builder<S>` | `from​(AreaValuesFType instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.areas.AreaValuesFType` instance.
  `PAreaF.Builder<S>` | `setMaximumX​(float maximumX)` | Initializes the value for the `maximumX` attribute.
  `PAreaF.Builder<S>` | `setMaximumY​(float maximumY)` | Initializes the value for the `maximumY` attribute.
  `PAreaF.Builder<S>` | `setMinimumX​(float minimumX)` | Initializes the value for the `minimumX` attribute.
  `PAreaF.Builder<S>` | `setMinimumY​(float minimumY)` | Initializes the value for the `minimumY` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final PAreaF.Builder<S> from​(AreaValuesFType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.areas.AreaValuesFType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final PAreaF.Builder<S> from​(PAreaFType<S> instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.parameterized.areas.PAreaFType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinimumX

    public final PAreaF.Builder<S> setMinimumX​(float minimumX)
    Initializes the value for the `minimumX` attribute.
    Parameters:
      `minimumX` - The value for minimumX
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaximumX

    public final PAreaF.Builder<S> setMaximumX​(float maximumX)
    Initializes the value for the `maximumX` attribute.
    Parameters:
      `maximumX` - The value for maximumX
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinimumY

    public final PAreaF.Builder<S> setMinimumY​(float minimumY)
    Initializes the value for the `minimumY` attribute.
    Parameters:
      `minimumY` - The value for minimumY
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaximumY

    public final PAreaF.Builder<S> setMaximumY​(float maximumY)
    Initializes the value for the `maximumY` attribute.
    Parameters:
      `maximumY` - The value for maximumY
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public PAreaF<S> build()
    Builds a new `PAreaF`.
    Returns:
      An immutable instance of PAreaF
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing